# Class ControlValueAccessor<T>`Abstract`

#### Type Parameters

- T = any

#### Implements

- ControlValueAccessor

- Defined in packages/angular/forms/src/lib/control-value-accessor.ts:3

#####
Index

### Constructors

constructor

### Methods

onChange?
onTouched?
registerOnChange
registerOnTouched
setDisabledState?
writeValue

## Constructors

### constructor

- new ControlValueAccessor<T>(): ControlValueAccessor<T>

- #### Type Parameters

  - T = any

  #### Returns ControlValueAccessor<T>

## Methods

### `Optional` onChange

- onChange(value): void

- #### Parameters

  - value: null | T

  #### Returns void

  - Defined in packages/angular/forms/src/lib/control-value-accessor.ts:7

### `Optional` onTouched

- onTouched(): void

- #### Returns void

  - Defined in packages/angular/forms/src/lib/control-value-accessor.ts:11

### registerOnChange

- registerOnChange(fn): void

- #### Parameters

  - fn: ((value) => void)
    - - (value): void

      - #### Parameters

        - value: null | T

        #### Returns void

  Implementation of NgControlValueAccessor.registerOnChange

  - Defined in packages/angular/forms/src/lib/control-value-accessor.ts:14

### registerOnTouched

- registerOnTouched(fn): void

- #### Parameters

  - fn: (() => void)
    - - (): void

      - #### Returns void

  Implementation of NgControlValueAccessor.registerOnTouched

  - Defined in packages/angular/forms/src/lib/control-value-accessor.ts:18

### `Optional` setDisabledState

- setDisabledState(isDisabled): void

- #### Parameters

  - isDisabled: boolean

  #### Returns void

  Implementation of NgControlValueAccessor.setDisabledState

  - Defined in packages/angular/forms/src/lib/control-value-accessor.ts:23

### `Abstract` writeValue

- writeValue(value): void

- #### Parameters

  - value: T

  #### Returns void

  Implementation of NgControlValueAccessor.writeValue

  - Defined in packages/angular/forms/src/lib/control-value-accessor.ts:4